=== debian/changelog ===
libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.10) bionic-security; urgency=medium

  * SECURITY UPDATE: Unsafe URL assembly flaw in allowed script location check
    - debian/patches/CVE-2019-9854.diff: assemble the parsed url describing a
      script's location from the output of the preceding verification step.
    - CVE-2019-9854

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Sat, 21 Sep 2019 13:44:15 +0200

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.9) bionic-security; urgency=medium

  * SECURITY UPDATE: Insufficient URL validation allowing LibreLogo script execution
    - debian/patches/CVE-2019-9850_1_2.diff: decode escape codes and ban scripts
      with "LibreLogo" anywhere in its path.
    - CVE-2019-9850
  * SECURITY UPDATE: LibreLogo global-event script execution
    - debian/patches/CVE-2019-9850_1_2.diff: catch more LibreLogo script executions
      by expanding check to global events.
    - CVE-2019-9851
  * SECURITY UPDATE: Insufficient URL encoding flaw in allowed script location check
    - debian/patches/CVE-2019-9850_1_2.diff: ensure that all URLs leaving
      scriptURI2StorageUri() are percent-encoded.
    - CVE-2019-9852

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 14 Aug 2019 15:15:42 +0100

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.8) bionic-security; urgency=medium

  * SECURITY UPDATE: LibreLogo arbitrary script execution
    - debian/patches/CVE-2019-9848.diff: don't allow LibreLogo to be used with
      mouseover/etc dom-alike events.
    - CVE-2019-9848
  * SECURITY UPDATE: Remote bullet graphics retrieved in 'stealth mode'
    - debian/patches/CVE-2019-9849.diff: include bullet graphics in 'stealth
      mode' protection.
    - CVE-2019-9849

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Tue, 16 Jul 2019 17:28:21 +0100

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.7) bionic; urgency=medium

  * debian/patches/cpdmgr-check-dbus-desc.diff (LP: #1798074):
    - Only create CPDManager if D-Bus descriptions present.
    - Fixes LibreOffice startup crash when CPD packages installed.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Fri, 31 May 2019 11:43:00 +0100

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.6) bionic; urgency=medium

  [ Ikuya Awashiro ]
  * debian/patches/new-japanese-era-name.patch (LP: #1827451):
    Add new Japanse era name "Reiwa" support which taken from upstream:
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=cacbb0faef77ae8462de9ff5c7307a6a2e28b2bb
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=597c5d75b8e72d429e096535334eaac7973455ef

  [ Olivier Tilloy ]
  * debian/patches/java.vendor-Ubuntu.patch: update to also recognize
    "Private Build" as java.vendor (for custom PPA builds) (LP: #1822839)
  * debian/patches/java.vendor-Ubuntu.patch: also make jvmfwk recognize
    "Ubuntu" as java.vendor (LP: #1822839)

  [ Rene Engelhard ]
  * debian/patches/java.vendor-Debian.diff: make jvmfwk recognize "Debian"
    as java.vendor as that's what is set in openjdk 11 >= 11.0.3+4-2
    - see #926009 (closes: #926318) (LP: #1822839)
  * debian/control.gtk3.in:
    - make libreoffice-gtk3 recommend gstreamer1.0-gtk3 (LP: #1820062)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Tue, 07 May 2019 12:35:49 +0100

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.5) bionic; urgency=medium

  * debian/patches/jdk-11.0.2-javadoc.diff: fix architecture-independent build
    with OpenJDK 11 (debian bug #920331)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Feb 2019 12:11:27 +0100

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.3) bionic-security; urgency=medium

  * debian/patches/fix-tests-openjdk11.patch: fix ODK tests when running with
    OpenJDK 11 (LP: #1814133)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Feb 2019 18:16:22 +0100

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.2) bionic; urgency=medium

  [ Rene Engelhard ]
  * debian/patches/disableClassPathURLCheck.diff: add workaround to
    fix build with openjdks with S8195874 included - add
    -Djdk.net.URLClassPath.disableClassPathURLCheck=true to JAVAIFLAGS;
    see https://gerrit.libreoffice.org/#/c/63118/2

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 27 Nov 2018 11:13:10 +0100

libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1799230)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 05 Nov 2018 17:08:27 +0100

libreoffice-l10n (1:6.0.6-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1785679)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 30 Aug 2018 11:49:15 +0200

libreoffice-l10n (1:6.0.6~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - fix PYTHON_VERSION override to work again;
      export PYTHON_{CFLAGS,LIBS} ourselves

 -- Rene Engelhard <rene@debian.org>  Tue, 10 Jul 2018 19:07:55 +0000

libreoffice-l10n (1:6.0.5-1) unstable; urgency=medium

  * New upstream release

  * debian/rules:
    - fix i386 conditional for not adding a (not fullfillable on stretch 
      even with backports) default-jdk (>= 2:1.9) build-dep
    - don't enable dwz on stretch-backports, the needed debhelper conflicts
      against the (needed via libgpgmepp-dev) stable qt5-qmake :/
    - remove USE_DWZ_MULTIFILE conditional (which was disabled),
      default since debhelper 11.3

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Jun 2018 04:54:34 +0000

libreoffice-l10n (1:6.0.5~rc1-2) unstable; urgency=medium

  * debian/rules:
    - stop special-casing i386 to explicitely use openjdk (9), use default-java
      again and and appropriate versioned build-depends

 -- Rene Engelhard <rene@debian.org>  Sat, 02 Jun 2018 12:14:04 +0200

libreoffice-l10n (1:6.0.5~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - fixes crash on typing any character with IME in Wayland
      (closes: #898632)
    - allows rk on .gnupg/random_seed to fix hang on gpg encryption

